像这样的但我需要一点帮助
- (defun c:setpaths()
- (setq pref_files (vla-get-files (vla-get-preferences (vlax-get-acad-object))))
- (setq paths
- (apply 'strcat
- (list
- "C:\Users\Administrator\appdata\autodesk\autocad 2010\r18.0\enu\support;"
- "C:\program files\autocad 2010\support;"
- "C:\program files\autocad 2010\fonts;"
- "C:\program files\autocad 2010\help;"
- "C:\program files\autocad 2010\express;"
- "C:\program files\autocad 2010\support\color;"
- ;I want to add only the follow not change all the other settings in the paths
- "C:\topocad;"
- "C:\topocad\lines;"
- "C:\topocad\trees;"
- "C:\topocad\symbols;"
- "C:\topocad\topohatch;"
- (getvar "ROAMABLEROOTPREFIX") ";"
- (getvar "LOCALROOTPREFIX") ";"
- ))
- )
- ; Default Template File for QNew
- (vla-put-QNewTemplateFile pref_files "c:\topocad\topocad.dwt")
- (princ)
- )
|